Bug 183384 - Add Ruby license
Summary: Add Ruby license
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-28 19:35 UTC by Jason Tibbitts
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.76-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 18:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch adding "Ruby License" as a valid license. (535 bytes, patch)
2006-02-28 19:35 UTC, Jason Tibbitts
no flags Details | Diff

Description Jason Tibbitts 2006-02-28 19:35:23 UTC
Ruby is dual licensed under the GPL and its own license.  I don't see the
license in OSI's list but Debian accepts it as free:
http://www.debian.org/legal/licenses/

The license text is at http://www.ruby-lang.org/en/LICENSE.txt

Essentially every Ruby package will be using this license, and there is already
some confusion (with some packages switching to "Distributable").

In <Pine.LNX.4.58.0602281235300.29345@gdk.devel.redhat.com> on
fedora-extras-list, Greg DeKoenigsberg suggested adding the license to rpmlint.

Comment 1 Jason Tibbitts 2006-02-28 19:35:25 UTC
Created attachment 125411 [details]
Suggested patch adding "Ruby License" as a valid license.

Comment 2 Ville Skyttä 2006-02-28 20:13:26 UTC
Thanks, will apply in the next rpmlint revision.

Comment 3 Ville Skyttä 2006-04-11 18:24:52 UTC
Done in 0.76-1.


Note You need to log in before you can comment on or make changes to this bug.